# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		eric6
Version:	17.01
Release:	%mkrel 1
Summary:	A Python 3 IDE
Group:		Development/Python
License:	GPLv3+
URL:		http://eric-ide.python-projects.org/
Source0:	http://downloads.sourceforge.net/eric-ide/%{name}-%{version}.tar.gz
Source1:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-de-%{version}.tar.gz
Source2:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-fr-%{version}.tar.gz
Source3:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-it-%{version}.tar.gz
Source4:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-ru-%{version}.tar.gz
Source5:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-cs-%{version}.tar.gz
Source6:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-es-%{version}.tar.gz
Source7:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-tr-%{version}.tar.gz
Source8:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-zh_CN-%{version}.tar.gz
Source9:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-en-%{version}.tar.gz
Source10:	http://downloads.sourceforge.net/eric-ide/%{name}-i18n-pt-%{version}.tar.gz

BuildRequires:	python3-devel
BuildRequires:	python3-sip-devel
BuildRequires:	python3-qt5-devel
BuildRequires:	python3-qt5-qscintilla
BuildRequires:	qscintilla-qt5-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Requires:	python3-qt5-qscintilla
Requires:	python3-pysvn
Obsoletes:	eric4 < 4.5.15-6
Provides:	eric4 = %{version}-%{release}

%description
Eric is a full featured Python and Ruby editor and IDE, written in python 3.
It is based on the cross platform Qt gui toolkit, integrating the highly
flexible Scintilla editor control.
It is designed to be usable as everdays' quick and dirty editor as well
as being usable as a professional project management tool integrating many
advanced features Python offers the professional coder.

%prep
%setup -q
%setup -q -n %{name}-%{version} -D -T -b 1
%setup -q -n %{name}-%{version} -D -T -b 2
%setup -q -n %{name}-%{version} -D -T -b 3
%setup -q -n %{name}-%{version} -D -T -b 4
%setup -q -n %{name}-%{version} -D -T -b 5
%setup -q -n %{name}-%{version} -D -T -b 6
%setup -q -n %{name}-%{version} -D -T -b 7
%setup -q -n %{name}-%{version} -D -T -b 8
%setup -q -n %{name}-%{version} -D -T -b 9
%setup -q -n %{name}-%{version} -D -T -b 10

%install
%{__python3} install.py \
	-i %{buildroot} \
	-b %{_bindir} \
	-d %{python3_sitelib} \
	-a %{_qt5_prefix}/qsci/api

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps

convert -scale 48 eric/icons/default/eric.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/eric.png
convert -scale 32 eric/icons/default/eric.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/eric.png
convert -scale 16 eric/icons/default/eric.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/eric.png
convert -scale 48 eric/icons/default/ericWeb48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/ericWeb.png
convert -scale 32 eric/icons/default/ericWeb48.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/ericWeb.png
convert -scale 16 eric/icons/default/ericWeb48.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/ericWeb.png

desktop-file-install --dir %{buildroot}%{_datadir}/applications/ \
	--remove-category=Python \
	--remove-category=QtWebKit \
	--remove-category=QtWebEngine \
	%{buildroot}%{_datadir}/applications/*.desktop

# use legacy appdata dir instead of metainfo
if [ -d %{buildroot}%{_datadir}/metainfo ]; then
mkdir -p %{buildroot}%{_datadir}/appdata/
mv %{buildroot}%{_datadir}/metainfo/*.xml %{buildroot}%{_datadir}/appdata/
fi

# deprecated icons
rm -rf %{buildroot}%{_datadir}/pixmaps

%files
%doc changelog README.rst THANKS
%license LICENSE.GPL3
%{_bindir}/%{name}*
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/eric*.png
%{_datadir}/appdata/%{name}.appdata.xml
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}plugins/
%{python3_sitelib}/%{name}config.py*
%{_qt5_prefix}/qsci/api/*/*


%changelog
* Sat Jan 14 2017 daviddavid <daviddavid> 17.01-1.mga6
+ Revision: 1081726
- new version: 17.01

* Sun Dec 04 2016 daviddavid <daviddavid> 16.12-1.mga6
+ Revision: 1071928
- new version: 16.12

* Sun Nov 13 2016 daviddavid <daviddavid> 16.11-1.mga6
+ Revision: 1066947
- new version: 16.11

* Tue Oct 18 2016 daviddavid <daviddavid> 6.1.10-2.mga6
+ Revision: 1061560
- fix desktop files icon not displayed in application menu entry

* Mon Oct 17 2016 daviddavid <daviddavid> 6.1.10-1.mga6
+ Revision: 1061297
- new version: 6.1.10

* Sun Feb 14 2016 umeabot <umeabot> 6.0.8-3.mga6
+ Revision: 960038
- Mageia 6 Mass Rebuild

* Mon Nov 09 2015 akien <akien> 6.0.8-2.mga6
+ Revision: 899676
- Attempt building against python3 and qscintilla-qt5
- Obsolete eric4

* Sat Aug 29 2015 fwang <fwang> 6.0.8-1.mga6
+ Revision: 870956
- fix desktop files
- update file list
- disable python bytecompile as it does not like eric bundled 3rdparty source files
- imported package eric6

